Bug 1029482 - AFR: cannot get volume status when one node down [NEEDINFO]
AFR: cannot get volume status when one node down
Status: CLOSED EOL
Product: GlusterFS
Classification: Community
Component: glusterd (Show other bugs)
3.4.1
x86_64 Linux
unspecified Severity urgent
: ---
: ---
Assigned To: bugs@gluster.org
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-12 08:07 EST by huangchongyuan
Modified: 2015-10-07 09:18 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-07 09:18:47 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
amukherj: needinfo? (huang.chongyuan.1989)


Attachments (Terms of Use)

  None (edit)
Description huangchongyuan 2013-11-12 08:07:45 EST
Description of problem:
It is OK when all nodes are up,but break one(cut off net or shut down node) or more cannot get volume status(command:volume status).

Version-Release number of selected component (if applicable):
3.4.1 & 3.3.2 

How reproducible:
always

Steps to Reproduce:
1.create a AFR volume and start
2.gluster volume status(normal)
3.break one node (cut off net)
4.gluster volume status(abnormal)

Actual results:
cannot get anything or "Anthor transactior is in progress,Please try again after sometime"

Expected results:
get something about volume status

Additional info:
I get something from bug_807428,but it appear both in 3.4.1 and 3.3.2
Comment 1 huangchongyuan 2013-11-14 22:04:09 EST
3.break one node (cut off net)---ifconfig ethX down
Comment 2 Atin Mukherjee 2014-11-14 02:32:51 EST
Can you please share the glusterd log file for analysis?
Comment 3 Niels de Vos 2015-05-17 18:00:27 EDT
GlusterFS 3.7.0 has been released (http://www.gluster.org/pipermail/gluster-users/2015-May/021901.html), and the Gluster project maintains N-2 supported releases. The last two releases before 3.7 are still maintained, at the moment these are 3.6 and 3.5.

This bug has been filed against the 3,4 release, and will not get fixed in a 3.4 version any more. Please verify if newer versions are affected with the reported problem. If that is the case, update the bug with a note, and update the version if you can. In case updating the version is not possible, leave a comment in this bug report with the version you tested, and set the "Need additional information the selected bugs from" below the comment box to "bugs@gluster.org".

If there is no response by the end of the month, this bug will get automatically closed.
Comment 4 Kaleb KEITHLEY 2015-10-07 09:18:47 EDT
GlusterFS 3.4.x has reached end-of-life.

If this bug still exists in a later release please reopen this and change the version or open a new bug.

Note You need to log in before you can comment on or make changes to this bug.